%global realname esasl
%global upstream mikma
%global git_tag 665cc80
%global patchnumber 14
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}
%{expand: %(NIF_VER=`rpm -q erlang-erts --provides | grep --color=no erl_nif_version` ; if [ "$NIF_VER" != "" ]; then echo %%global __erlang_nif_version $NIF_VER ; fi)}
%{expand: %(DRV_VER=`rpm -q erlang-erts --provides | grep --color=no erl_drv_version` ; if [ "$DRV_VER" != "" ]; then echo %%global __erlang_drv_version $DRV_VER ; fi)}


Name:		erlang-%{realname}
Version:	0.1
Release:	13.20120116git%{git_tag}%{?dist}
Summary:	Simple Authentication and Security Layer (SASL) support for Erlang
Group:		Development/Languages
# erlang sources are under BSD, C sources - under LGPLv2+
License:	BSD and LGPLv2+
URL:		http://wiki.github.com/mikma/esasl/
# wget --content-disposition https://github.com/mikma/esasl/tarball/665cc80a838545f596eaf6703903a444b0fb737c
Source0:	%{upstream}-%{realname}-esasl-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRequires:	erlang-erts
BuildRequires:	erlang-erl_interface
BuildRequires:	erlang-kernel
BuildRequires:	erlang-stdlib
BuildRequires:	libgsasl-devel
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	erlang-erts%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}
Provides:	%{realname} = %{version}-%{release}
%{?__erlang_drv_version:Requires: %{__erlang_drv_version}}


%description
Simple Authentication and Security Layer (SASL) support for Erlang.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}


%build
autoreconf -ivf
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# remove unused file
rm -f %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/eldap_expr.beam


%files
%doc AUTHORS COPYING COPYING.LIB README
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/gsasl_drv


%changelog
* Thu Oct 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.1-13.20120116git665cc80
- Rebuild with new __erlang_drv_version

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12.20120116git665cc80
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 12 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.1-11.20120116git665cc80
- Update to the latest git snapshot

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-7
- Narrow BuildRequires

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-6
- Rebuild with new Erlang/OTP R14A

* Fri May 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-5
- Narrow explicit requires

* Tue Feb 16 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-4
- Added two accidentally missing libraries
- Removed unneeded file ( eldap_expr.beam )

* Mon Feb 15 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-3
- Fixed issues, found during review.

* Wed Feb  3 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-2
- Fix for EPEL

* Sat Jan 16 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.1-1
- Initial package for Fedora
